
package ru.pp.rux.fallingball.util;

import javax.microedition.lcdui.Graphics;

/**
 *
 * @author ruX[Ruslan Zaharov]
 * 2010 (c) http://ruX.pp.ru
 */
public class ColorGradient {
    public static void draw(Graphics surface, int off_x, int off_y, int width, int height,
            int red1, int green1, int blue1, int red2, int green2, int blue2) {
        float step_red =  (float)(red2 - red1) / (float)height ;
        float step_green = (float)(green2 - green1) / (float)height;
        float step_blue = (float)(blue2 - blue1) / (float)height;


        float red = red1, green = green1, blue = blue1;
        for(int y = 0; y < height; y++) {
            surface.setColor((int)red , (int)green , (int)blue );
            surface.drawLine(off_x, y + off_y, off_x + width, y + off_y);
            red += step_red;
            green += step_green;
            blue += step_blue;
        }
    }
}
